//***************************************************************************
// Agat RT, Russia, Moscow, tel/fax. +7(495)799-9069, +7(495)656-5492,  +7(495)656-5592
// Alder14t Driver Debug Header File
// 31/10/2008 Version 9.1.43.x
//***************************************************************************

#ifndef _ALDER14T_DEBUG_HEADER_
#define _ALDER14T_DEBUG_HEADER_

//#include "Alder14t.h"
#define drvA14tDrvIdent						0xABF00000

// Debug routins
#define drvA14tFirstDebugCmd		0x00000700

#define drvA14tGetIDMATable			drvA14tDrvIdent+ 0x00000700
#define drvA14tGetLinesTable		drvA14tDrvIdent+ 0x00000710
#define drvA14tGetDebugData			drvA14tDrvIdent+ 0x00000720
#define drvA14tGetConfData			drvA14tDrvIdent+ 0x00000730
#define drvA14tSetE1MonitorMode		drvA14tDrvIdent+ 0x00000740
#define drvA14tGetAtticWeight		drvA14tDrvIdent+ 0x00000750
#define drvA14tGetLogCommands		drvA14tDrvIdent+ 0x00000760
#define drvA14tGetE1MonitorTS		drvA14tDrvIdent+ 0x00000770
#define drvA14tSetVoiceIoMode		drvA14tDrvIdent+ 0x00000780

#define drvA14tLastDebugCmd			0x00000800

#pragma pack(4)

#ifdef __cplusplus
  extern "C" {
#endif // __cplusplus

typedef struct _tagAdspLinesTable
{
	DWORD		dwIDMAID;
	DWORD		dwFirstLine;
	DWORD		dwLinesAmount;
	DWORD 		dwVoiceLinesAmount;
} AdspLinesTable;

typedef struct _tagDebugData
{
	DWORD dwIrqCount;
	DWORD dwDebug;
	DWORD dwIDMA;
	DWORD dwPack;
	DWORD dwLoadTrace;
	WORD  lpwPack[40];
} DebugData;

#define E1MonitorDisable	0x00
#define E1Q921Monitor		0x01
#define E1Q931Monitor		0x02
#define E1Q921Q931Monitor	0x03
#define E1CASMonitor		0x02
#define E1MFRMonitor		0x08
#define E1CASMFRMonitor		0x0C

typedef struct _tagE1MonitorParams
{
	DWORD dwBoardHandle;
	DWORD dwE1Device;
	DWORD dwE1Line;
	DWORD dwMode;
} E1MonitorParams;

typedef E1MonitorParams TE1MonitorParams;

typedef struct _tagE1MonitorDataParams
{
	DWORD dwBoardHandle;
	DWORD dwE1Device;
} E1MonitorDataParams;

typedef struct _tagLogCmdDataParams
{
	DWORD dwBoardHandle;
	DWORD dwIDMA;
} LogCmdDataParams;

typedef struct _tagIdentLineParams
{
	DWORD dwBoardHandle;
	DWORD dwLine;
} IdentLineParams;

typedef struct _tagE1MonitorTSInfo
{
	DWORD dwConnectionNumber;
	DWORD dwTimeSlotNumber;
} E1MonitorTSInfo;

typedef struct _tagVoiceIoModeParams
{
	DWORD 	dwBoardHandle;
	DWORD 	dwLine;
	DWORD	dwMode;
} VoiceIoModeParams;

#define LOG_MESSAGE_MEDIA				0xEBCD00AF

#define LogType_Event					1
#define LogType_Command					2
#define LogType_Message					3
#define LogType_String					4

#define LogEvent_ResourceMapUpdated		1
#define LogEvent_ResourceOpened			2
#define LogEvent_ResourceClosed			3

#define LogType_Driver					0
#define LogType_Device					1
#define LogType_Attic					2
#define LogType_E1Line					3
#define LogType_InterfaceResource		4
#define LogType_VoiceResource			5
#define LogType_UnknownResource			6
#define LogType_SwitchResource			7
#define LogType_IsdnmResource			8
#define LogType_E1Line_Monitor			9

#ifndef LogValueHex
#define LogValueHex						1
#define LogValueDec						2
#define LogValueString					3
#define LogValueByteHex					4
#define LogValueWordHex					5
#define LogValueDwordHex				1
#endif

typedef struct _tagLogString
{
	DWORD dwLenInBytes;
	DWORD dwMedia;
	DWORD dwMajor;
	DWORD dwMinor;
	LARGE_INTEGER qwDateAndTime;
	DWORD dwDeviceHandle;
	DWORD dwAtticNumber;
	DWORD dwLineNumber;
	DWORD dwLineType;
	DWORD dwResType;
	char  pszData[1024];
} LogString;

typedef struct _tagLogMessage
{
	DWORD dwLenInBytes;
	DWORD dwMedia;
	DWORD dwMajor;
	DWORD dwMinor;
	LARGE_INTEGER qwDateAndTime;
	DWORD dwDeviceHandle;
	DWORD dwAtticNumber;
	DWORD dwLineNumber;
	DWORD dwLineType;
	DWORD dwResType;
	BYTE  lpbData[1024];
} LogMessage;

#define _IMIP_COMMAND_		0x40

typedef struct _tagLogMessageHeader
{
	DWORD dwLenInBytes;
	DWORD dwMedia;
	DWORD dwMajor;
	DWORD dwMinor;
	LARGE_INTEGER qwDateAndTime;
	DWORD dwDeviceHandle;
	DWORD dwAtticNumber;
	DWORD dwLineNumber;
	DWORD dwLineType;
	DWORD dwResType;
} LogMessageHeader;

typedef struct _tagTIsdnmMessageHeader
{
	DWORD dwLenInBytes;
	DWORD dwMedia;
	DWORD dwDeviceHandle;
	DWORD dwLineNumber;
}TIsdnmMessageHeader;

#ifdef __cplusplus
  }
#endif // __cplusplus

#pragma pack()

#endif

